org.apache.mina.service

## Enum AbstractIoService.ServiceState

- java.lang.Object
- - java.lang.Enum<AbstractIoService.ServiceState>
  - - org.apache.mina.service.AbstractIoService.ServiceState

All Implemented Interfaces:
  Serializable, Comparable<AbstractIoService.ServiceState>

Enclosing class:
  AbstractIoService

    protected static enum AbstractIoService.ServiceState
    extends Enum<AbstractIoService.ServiceState>

The Service states

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACTIVE` The service is started
`CREATED` The service has been created
`DISPOSED` The service is stopped
`DISPOSING` The service is being stopped
`NONE` Initial state
`SUSPENDED` The service has been suspended

### Method Summary

Methods
`static AbstractIoService.ServiceState` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractIoService.ServiceState[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NONE

    public static final AbstractIoService.ServiceState NONE

Initial state

#### CREATED

    public static final AbstractIoService.ServiceState CREATED

The service has been created

#### ACTIVE

    public static final AbstractIoService.ServiceState ACTIVE

The service is started

#### SUSPENDED

    public static final AbstractIoService.ServiceState SUSPENDED

The service has been suspended

#### DISPOSING

    public static final AbstractIoService.ServiceState DISPOSING

The service is being stopped

#### DISPOSED

    public static final AbstractIoService.ServiceState DISPOSED

The service is stopped

### Method Detail

#### values

    public static AbstractIoService.ServiceState[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AbstractIoService.ServiceState c : AbstractIoService.ServiceState.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AbstractIoService.ServiceState valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null